net.dontdrinkandroot.visualization.layout.graph.edgerouting

## Class VisibilityEdgeRouter<V,E>

- java.lang.Object
- - net.dontdrinkandroot.visualization.layout.graph.edgerouting.VisibilityEdgeRouter<V,E>

    public class VisibilityEdgeRouter<V,E>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`VisibilityEdgeRouter(Map<V,AbstractVisualItem> vertexMap, edu.uci.ics.jung.graph.Graph<V,E> g)`

### Method Summary

Methods
`Map<E,Path2D>` `getEdgePaths()`
`edu.uci.ics.jung.graph.UndirectedGraph<Point2D,WeightedEdge<Integer>>` `getSplineGraph()`
`Point2D` `intersectLineLine(double a1x, double a1y, double a2x, double a2y, double b1x, double b1y, double b2x, double b2y)`
`Point2D` `intersectLineRectangle(Line2D l, Rectangle2D r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisibilityEdgeRouter

    public VisibilityEdgeRouter(Map<V,AbstractVisualItem> vertexMap,
                        edu.uci.ics.jung.graph.Graph<V,E> g)

### Method Detail

#### getEdgePaths

    public Map<E,Path2D> getEdgePaths()

#### getSplineGraph

    public edu.uci.ics.jung.graph.UndirectedGraph<Point2D,WeightedEdge<Integer>> getSplineGraph()

#### intersectLineRectangle

    public Point2D intersectLineRectangle(Line2D l,
                                 Rectangle2D r)

#### intersectLineLine

    public Point2D intersectLineLine(double a1x,
                            double a1y,
                            double a2x,
                            double a2y,
                            double b1x,
                            double b1y,
                            double b2x,
                            double b2y)